Bug 239511 - irssi does not recognize alt+cursor keys in xterm
irssi does not recognize alt+cursor keys in xterm
Product: Fedora
Classification: Fedora
Component: irssi (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Mahut
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-05-08 20:53 EDT by James Bowes
Modified: 2013-01-10 04:52 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.8.11-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-16 16:59:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James Bowes 2007-05-08 20:53:18 EDT
irssi 0.8.10 has problems with cursor keys + modifiers from xterm. 0.8.11 fixes
this for ctrl+cursor keys, but not for alt+cursor keys, meaning you can't use
alt+left/right to switch windows.

See upstream bug at:
Comment 1 Thomas E. Dickey 2007-06-12 09:27:03 EDT
For reference -
Comment 2 Marek Mahut 2007-08-16 16:59:00 EDT
James, thank you for the little patch fix. It's in irssi-0.8.11-4.fc8. I will
push up upstream to commit this little change to their svn.

Note You need to log in before you can comment on or make changes to this bug.